Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.control
Class GetSpatialExtentListener

    java.lang.Object
      org.deegree.enterprise.control.ajax.AbstractListener
          org.deegree.portal.cataloguemanager.control.AbstractMetadataListener
              org.deegree.portal.cataloguemanager.control.GetSpatialExtentListener

    public class GetSpatialExtentListener

extends AbstractMetadataListener

TODO add class documentation here

Version:
  $Revision: $, $Date: $
Author:
  Andreas Poth, last edited by: $Author: admin $

Field Summary

Fields inherited from class org.deegree.portal.cataloguemanager.control.AbstractMetadataListener
`COUNTER, CURRENTSEARCH, SEARCHRESULTINFO`

Fields inherited from class org.deegree.enterprise.control.ajax.AbstractListener
`timeout`

Constructor Summary
`GetSpatialExtentListener()`

Method Summary
`void` | `actionPerformed(WebEvent event, ResponseHandler responseHandler)`

Methods inherited from class org.deegree.portal.cataloguemanager.control.AbstractMetadataListener
`getCatalogueManagerConfiguration, loadMetadataTemplate`

Methods inherited from class org.deegree.enterprise.control.ajax.AbstractListener
`getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetSpatialExtentListener

    public GetSpatialExtentListener()

Method Detail

### actionPerformed

    public void actionPerformed(WebEvent event,
                                ResponseHandler responseHandler)
                         throws IOException

  Specified by:
    `actionPerformed` in class `AbstractListener`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org